[2LS] ExploitFixer - Advanced server anticrash 0.7.6

Advanced plugin to maintain your server safe from multiple exploits.

  1. LinsaFTW
    Tested Minecraft Versions:
    • 1.7
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    Source Code:
    https://github.com/2LSpigot/ExploitFixer

    INFORMATION


    This is a free BungeeCord/Spigot plugin that prevents crash/exploit abuses on your server with a light, efficent and optimized way of doing it.

    There are some plugins that are outdated and doesnt patch some new exploits, so i tried making my own antiexploit plugin that includes most of fixes for new and old exploits.

    This plugin can block packet spam, custompayload, uuidspoof and many other types of exploits.

    This plugin was mainly made for ArkFlame Network, but i published it because it will help people and the development of the plugin by finding bugs, getting new ideas, etc...


    FEATURES

    • Flexible Configuration.
    • Increases performance. (Cancells innecesary packets)
    • Spigot and Bungee compatibility.
    • Notification and stats system.

    • CustomPayload Check. (Crash/Jigsaw)
    • UUIDSpoof Check. (ForceOP)
    • Commands Check. (WorldEdit/Pex/HolographicDisplays)
    • ItemsFix Check. (Prevents creative hacked items)
    • Packets Check. (Packet Limiter/DropClient/Jessica)
    • Duplication Check. (Books/Signs)


    COMMANDS

    • /exploitfixer help - Shows the available commands.
    • /exploitfixer reload - Reloads the configuration.
    • /exploitfixer notifications - Toggles notifications.


    PERMISSIONS

    • exploitfixer.admin - Permission to use all commands.
    • exploitfixer.notifications - Permission to toggle notifications.


    INSTALLATION

    If you're running a BungeeCord Network, install the plugin in BungeeCord (Optionally) and all your Spigot servers.

    This plugin requires ProtocolLib installed in your Spigot servers.


    TEST SERVER

    ArkFlame Network is our official test server.

    [​IMG]

    LEAVE A REVIEW


    Leaving a positive review is important for the development of the plugin, as it can increase the debug rate and priority of the plugin on my career as a developer.
    TomCreeper, Macaa, Sheidy and 14 others like this.

Recent Updates

  1. ExploitFixer - Update 0.7.6
  2. ExploitFixer - Update 0.7.5
  3. ExploitFixer - Update 0.7.4

Recent Reviews

  1. kotzeimer
    kotzeimer
    5/5,
    Version: 0.7.6
    Everything is good but can you please make a update check, so that when a new version is avaivable i can se it in the chat in minecraft
    1. LinsaFTW
      Author's Response
      You can subscribe to the plugin here in spigot and receive notifications, it can generate issues to check updates with the plugin :/
  2. RafricOFC
    RafricOFC
    5/5,
    Version: 0.7.6
    Exploit Fixer is absolutely the BEST protection plugin ever!
    It's HIGHLY recommended! It protected my server <3.
    This is an essential plugin for ALL servers!
    If you're looking for a good Anti Exploit plugin, please, trust in all reviews! The plugin really protects your server!
    1. LinsaFTW
      Author's Response
      Thanks for your positive review :)
  3. alexeppy
    alexeppy
    5/5,
    Version: 0.7.3
    Very GOOD patches fixes known exploits that other might not fix correctly, However the uuid fix can be improved as i've been uuid bungee exploited and their should be a better patch for uuidspoofing.
    1. LinsaFTW
      Author's Response
      Hi, actually this plugin just checks if the uuid is correct or not.

      Maybe they joined by the subservers because you didnt setup a firewall properly.
  4. kotzeimer
    kotzeimer
    5/5,
    Version: 0.7.3
    Give that Plugin 10 Stars!!!!
    Now every crash don't work on my server. Thank you Sooooo much!!!
    Download this and you have no more bugs with crashing and duping.
    Sorry for bad english im German ^^
    1. LinsaFTW
      Author's Response
      Thanks for the positive review :)
  5. Elprimero
    Elprimero
    5/5,
    Version: 0.7.3
    Very nice plugin. The problem with the concrete is fixed.
    Thanks for the quick solution.
    1. LinsaFTW
      Author's Response
      Thanks for the 5 stars :)
  6. FendiTony777
    FendiTony777
    5/5,
    Version: 0.7.2
    The plugin works great and the author is so nice, he 's providing us useful updates with improvements and bugfixes.!
    1. LinsaFTW
      Author's Response
      Thank you for your review :)
  7. MattyHD0
    MattyHD0
    5/5,
    Version: 0.7.1
    Exelente plugin!, arregla todos los errores peligrosos sin tener que meter 5 plugins diferentes, pero me gustaria que tambien arreglara el error del dinero con .99999999999999 decimales (que logra comprar items sin gastar dinero)
    1. LinsaFTW
      Author's Response
      Eso no se puede arreglar con este plugin, debes contactar al autor del plugin de tienda que uses.
  8. BuiManhDuc
    BuiManhDuc
    5/5,
    Version: 0.7.1
    10/10 plugin, must have on your server!
    Best plugin for server crash protection :D
    1. LinsaFTW
      Author's Response
      Thanks for your review! Im glad it is working fine :)
  9. AntoLuMeju99
    AntoLuMeju99
    5/5,
    Version: 0.7.1
    -------------------------------
    Best plugin to fix tons of Exploit ever!
    -------------------------------
    1. LinsaFTW
      Author's Response
      Thank you for the positive review :)
  10. Elprimero
    Elprimero
    5/5,
    Version: 0.7.1
    Very nice plugin. But pls recode the new recreate creative item tag remover. If you want to build with black concrete it turns to white concrete.
    1. LinsaFTW
      Author's Response
      Hi! I will probably fix that in the next update :) seems i forgot to put some item data in the item recreation.